Aller au contenu
Twexapi
Français
Esc
↑↓naviguer↵ouvrir⌘Japerçu

Obtenir les membres délégués

Liste les comptes qui peuvent agir au nom du compte identifié par cookie, y compris les invitations pas encore acceptées. Chaque élément contient user_id, screen_name, name, avatar, membership_id, role (Admin ou Contributor) et status (Accepted ou Pending). Le compte lui-même n’est pas listé. Renvoie un tableau vide s’il n’y en a aucun. Nécessite une clé Bearer TwexAPI et le cookie ou auth_token X autorisé du compte.

Retour à la référence API
/Delegate Endpoints
POST/twitter/delegate/members
Autorisation API
AuthorizationBearer token · headerrequis
Jeton Bearer global pour TwexAPI. Inclus sous la forme : Authorization: Bearer <YOUR_TWEXAPI_KEY>.
Corps de la requête
requisapplication/json
cookiestringrequis
Authorized X session cookie or auth_token for the account the call acts for. Required in addition to the TwexAPI Bearer key.
min length 1
proxystring | any
Afficher les propriétés
Any of:
string
string
any
any
Réponses
200Success
codeintegerrequis
msgstringrequis
dataDelegateMember[]requis
Afficher les propriétés
Array of DelegateMember
user_idstringrequis
screen_namestringrequis
namestringrequis
avatarstring | anyrequis
Profile image URL.
Afficher les propriétés
Any of:
string
string
any
any
membership_idstring | anyrequis
ID of this membership in the delegation group.
Afficher les propriétés
Any of:
string
string
any
any
rolestring | anyrequis
Admin or Contributor.
Afficher les propriétés
Any of:
string
string
any
any
statusstring | anyrequis
Accepted, or Pending while the invitation is not yet accepted.
Afficher les propriétés
Any of:
string
string
any
any
403Authentication or credit access denied
codeintegerrequis
msgstringrequis
dataany[] | anyrequis
Afficher les propriétés
Any of:
any[]
Array of any
any
any
any
422Invalid request
codeintegerrequis
msgstringrequis
dataany[] | anyrequis
Afficher les propriétés
Any of:
any[]
Array of any
any
any
any
500Upstream or server error
codeintegerrequis
msgstringrequis
dataany[] | anyrequis
Afficher les propriétés
Any of:
any[]
Array of any
any
any
any
⚡Console interactivePOST
⚡Console interactive / Tester l'APIPOST
Live Console
🌐Serveur cible :https://api.twexapi.io
● Prêt pour la production
✍️
Guide d'identification d'écriture (Clé TwexAPI + Cookie Twitter)

1. Clé TwexAPI (Bearer Token) : À renseigner sous "Autorisation API" ci-dessous pour la facturation et l'authentification.

2. Cookie Twitter : Pour les opérations d'écriture (tweet, like, etc.), renseignez le Cookie Twitter (ex : auth_token=...; ct0=...) dans le champ cookie ci-dessous.

🔑Autorisation API
📝Corps de la requêteapplication/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

Requête
curl -X POST "https://api.twexapi.io/twitter/delegate/members" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN"
}'
Réponse
{
  "code": 200,
  "msg": "success",
  "data": [
    {
      "user_id": "1234567890123456790",
      "screen_name": "example_member",
      "name": "Example Member",
      "avatar": "https://pbs.twimg.com/profile_images/example_normal.jpg",
      "membership_id": "1234567890123456791",
      "role": "Admin",
      "status": "Pending"
    }
  ]
}